Download OpenAPI specification:Download
Use the Sense API to synchronize your ATS data into the Sense Platform. The RESTFUL API is used to seed the initial set of entities and keep them up-to-date over time. Synchronizing data into Sense is what powers the automation of Sense Workflows.
Our API definition uses the OpenAPI 3.0 specification. You can download the definition and create a client library using the openapi-generator project.
Authenticate to the Sense API using OAuth2 client credentials. The Sense Team will provide you with credentials that will synchronize data to your account at your-agency-name.sensehq.com.
IMPORTANT: Clients must cache and reuse access tokens until they expire, as indicated by the expires_in field in the token response.
{
"access_token": "eyJr...",
"expires_in": 300,
"token_type": "Bearer"
}
To ensure stable, efficient, and compliant integrations with the Sense API, follow these best practices:
expires_in field returned in the token response. ⚠️ Do not hardcode the expiry time (e.g., 5 minutes). While the current token lifetime is 300 seconds (5 minutes), it may change in the future without notice. Your integration should dynamically honor the
expires_invalue provided.
Following these practices ensures better reliability, reduces infrastructure strain, and prevents disruptions to your access.
Depending on your tech stack, here are some guides and libraries to help implement OAuth token caching:
Implement token caching early in your integration lifecycle to ensure your application is efficient and remains in good standing with Sense API rate limits.
To synchronize data with Sense, we need the initial seed of entity data (Candidates, Placements, etc), and updates to those entities over time. To accomplish this, we recommend two processes named Sync and Change Event.
When data is sent and accepted by the Sense API, the data is enqueued to be processed by Sense's background processes. You should expect data to be visible in the Sense product 30 minutes after your API call for Change Event processes.
The sync is generally a long running process that iterates over your entire data set and calls the Sense API. For example, to sync a database of 1 million candidates, POST to the /candidates endpoint in batches of 500 under 256 kb after compression.
To keep the initial set of data up-to-date, the Change Event process can be implemented as a hook whenever your entities change. You can call the Sense API POST /candidates when any of the fields defined in the Candidate model change. To take advantage of batching (our API supports 500 updates at a time under 256 kb after compression), your Change Event process can flush changes to the Sense API after it accumulates 500 updates, exceeds 256 kb after compression or after 5 minutes, whichever comes first.
Currently, all API POST methods are treated as UPSERT operations. The expectation is that you provide the complete entity, and it will be created or updated (i.e. replacing the content for an existing id). Take care that all fields are provided.
A soft DELETE Operation is supported if the entity payload is sent with the field is_deleted = true.
To prevent referencing a foreign key that has not been processed yet sync the following entities in this order:
A person seeking a job.
A job that has been filled by a Candidate.
An internal person at your organization.
A job to be filled by a Candidate.
A company that is a client of your organization.
A contact person at a Company.
An interview or a meeting with a Candidate or Contact.
Sending a Candidate’s info for additional review.
The credential and or certificate of Candidate, or as required by a Job.
A new prospective client or contact
Primary key of the entity. This represents the ID in your system and is not managed by Sense. All ids are treated as strings.
{ "id": "123", "first_name": "Linus", ... }1, 1.0, "hello world"2020-04-01T10:30:00+0000 is 2020-04-01 at 10:30 AM UTC. 2020-04-01T10:30:00-0700 is 2020-04-01 at 10:30 AM Pacific.Represents a primary key reference to another entity.
{ "id": "123", "internal_user_id": "456", "status": "Active", ... } { "id": "456", "first_name": "Ace" }import requests
# Obtain a Bearer token using your client credentials.
auth_response = requests.post(
"https://partner-auth.sensehq.com/oauth2/token",
data={
"client_id": "client_id",
"client_secret": "client_secret",
"grant_type": "client_credentials",
},
)
assert auth_response.status_code == 200
print("Authenticated successfully.")
# Post a Candidate entity.
bearer_token = auth_response.json()["access_token"]
response = requests.post(
"https://partner-api.sensehq.com/v1/candidates",
json=[{
"id": "123",
"first_name": "Linus",
"last_name": "Kerns",
"email": "linus@sensehq.com",
"mobile_phone": "(415) 555-1234",
"status": "Active",
}],
headers={"Authorization": f"Bearer {bearer_token}"},
)
assert response.status_code == 201
print("Posted Candidate successfully.")
import requests
# Obtain a Bearer token using your client credentials.
auth_response = requests.post(
"https://partner-auth.sensehq.com/oauth2/token",
data={
"client_id": "client_id",
"client_secret": "client_secret",
"grant_type": "client_credentials",
},
)
assert auth_response.status_code == 200
print("Authenticated successfully.")
# Update a Candidate entity.
bearer_token = auth_response.json()["access_token"]
resource_id = 123
response = requests.patch(
f"https://partner-api.sensehq.com/v1/candidates/{resource_id}",
json={
"status": "InActive",
},
headers={"Authorization": f"Bearer {bearer_token}"},
)
assert response.status_code == 201
print("Updated Candidate successfully.")
import requests
# Obtain a Bearer token using your client credentials.
auth_response = requests.post(
"https://partner-auth.sensehq.com/oauth2/token",
data={
"client_id": "client_id",
"client_secret": "client_secret",
"grant_type": "client_credentials",
},
)
assert auth_response.status_code == 200
print("Authenticated successfully.")
# Get a Candidate entity.
bearer_token = auth_response.json()["access_token"]
resource_id = 123
get_api_response = requests.get(f"https://partner-api.sensehq.com/v1/candidates/{resource_id}",
headers={"Authorization": f"Bearer {bearer_token}"},)
assert get_api_response.status_code == 200
print(f"Fetched candidate successfully")
Authenticate using client credentials to obtain a Bearer access_token.
| client_id | string |
| client_secret | string |
| grant_type | string |
{- "access_token": "string",
- "expires_in": 0,
- "token_type": "string"
}Batch upsert Appointment entities.
| application_id | string or null |
| candidate_id | string or null |
| client_contact_id | string or null |
| communication_method | string or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_date1 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_end | string or null <date-time> |
| date_last_modified | string or null <date-time> |
| date_start | string or null <date-time> |
| date_task_complete | string or null <date> |
| date_task_due | string or null <date-time> |
| description | string or null |
| id required | string non-empty |
| internal_user_id | string or null |
| internal_user_id2 | string or null |
| internal_user_id3 | string or null |
| internal_user_id4 | string or null |
| internal_user_id5 | string or null |
| internal_user_id6 | string or null |
| is_all_day | boolean or null |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| is_private | boolean or null |
| is_task | boolean or null |
| job_order_id | string or null |
| location | string or null |
| owner_id | string or null |
| placement_id | string or null |
| subject | string or null |
| task_complete | boolean or null |
| type | string or null |
[- {
- "application_id": "string",
- "candidate_id": "string",
- "client_contact_id": "string",
- "communication_method": "string",
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_date1": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_end": "2019-08-24T14:15:22Z",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "date_start": "2019-08-24T14:15:22Z",
- "date_task_complete": "2019-08-24",
- "date_task_due": "2019-08-24T14:15:22Z",
- "description": "string",
- "id": "string",
- "internal_user_id": "string",
- "internal_user_id2": "string",
- "internal_user_id3": "string",
- "internal_user_id4": "string",
- "internal_user_id5": "string",
- "internal_user_id6": "string",
- "is_all_day": true,
- "is_archived": true,
- "is_deleted": true,
- "is_private": true,
- "is_task": true,
- "job_order_id": "string",
- "location": "string",
- "owner_id": "string",
- "placement_id": "string",
- "subject": "string",
- "task_complete": true,
- "type": "string"
}
]{- "message": "string",
- "request_id": "string"
}Fetch details of a single Appointment entity by its unique ID.
| id required | integer The unique ID of the Appointment whose details need to be retrieved. |
{- "data": { },
- "errors": [
- {
- "entity_id": "string",
- "message": "string",
- "path": [
- "string"
]
}
], - "resource_id": "string"
}Update single Appointment entity.
| id required | integer The unique id of the Appointmentwhose details need to be updated. |
| application_id | string or null |
| candidate_id | string or null |
| client_contact_id | string or null |
| communication_method | string or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_date1 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_end | string or null <date-time> |
| date_last_modified | string or null <date-time> |
| date_start | string or null <date-time> |
| date_task_complete | string or null <date> |
| date_task_due | string or null <date-time> |
| description | string or null |
| id required | string non-empty |
| internal_user_id | string or null |
| internal_user_id2 | string or null |
| internal_user_id3 | string or null |
| internal_user_id4 | string or null |
| internal_user_id5 | string or null |
| internal_user_id6 | string or null |
| is_all_day | boolean or null |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| is_private | boolean or null |
| is_task | boolean or null |
| job_order_id | string or null |
| location | string or null |
| owner_id | string or null |
| placement_id | string or null |
| subject | string or null |
| task_complete | boolean or null |
| type | string or null |
{- "application_id": "string",
- "candidate_id": "string",
- "client_contact_id": "string",
- "communication_method": "string",
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_date1": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_end": "2019-08-24T14:15:22Z",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "date_start": "2019-08-24T14:15:22Z",
- "date_task_complete": "2019-08-24",
- "date_task_due": "2019-08-24T14:15:22Z",
- "description": "string",
- "id": "string",
- "internal_user_id": "string",
- "internal_user_id2": "string",
- "internal_user_id3": "string",
- "internal_user_id4": "string",
- "internal_user_id5": "string",
- "internal_user_id6": "string",
- "is_all_day": true,
- "is_archived": true,
- "is_deleted": true,
- "is_private": true,
- "is_task": true,
- "job_order_id": "string",
- "location": "string",
- "owner_id": "string",
- "placement_id": "string",
- "subject": "string",
- "task_complete": true,
- "type": "string"
}{- "message": "string",
- "request_id": "string"
}Fetch the list of possible values configured for a field on the Appointment entity. These values define dropdown options used in various Sense workflows.
| fieldName required | string The field name for which possible values should be retrieved. |
{- "data": {
- "field_name": "string",
- "object_name": "string",
- "values": [
- {
- "associationValue": "string",
- "label": "string",
- "value": "string"
}
]
}, - "resource_id": "string"
}A self-serve endpoint to synchronize dropdown options with your ATS configuration, ensuring data integrity during field writebacks.
| fieldName required | string The field name whose possible values should be updated. |
| label required | string |
required | string or number or boolean |
[- {
- "label": "Hourly",
- "value": "hourly"
}, - {
- "label": "Daily",
- "value": "daily"
}
]{- "data": {
- "field_name": "string",
- "object_name": "string",
- "possibleValues": [
- {
- "label": "string",
- "value": "string"
}
], - "updated": true
}, - "resource_id": "string"
}Batch upsert Candidate entities.
| active | boolean or null |
| address1 | string or null |
| address2 | string or null |
| categories | Array of strings or null |
| city | string or null |
| country | string or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_boolean1 | boolean or null |
| custom_boolean10 | boolean or null |
| custom_boolean11 | boolean or null |
| custom_boolean12 | boolean or null |
| custom_boolean13 | boolean or null |
| custom_boolean14 | boolean or null |
| custom_boolean15 | boolean or null |
| custom_boolean2 | boolean or null |
| custom_boolean3 | boolean or null |
| custom_boolean4 | boolean or null |
| custom_boolean5 | boolean or null |
| custom_boolean6 | boolean or null |
| custom_boolean7 | boolean or null |
| custom_boolean8 | boolean or null |
| custom_boolean9 | boolean or null |
| custom_date1 | string or null <date> |
| custom_date10 | string or null <date> |
| custom_date11 | string or null <date> |
| custom_date12 | string or null <date> |
| custom_date13 | string or null <date> |
| custom_date14 | string or null <date> |
| custom_date15 | string or null <date> |
| custom_date16 | string or null <date> |
| custom_date17 | string or null <date> |
| custom_date18 | string or null <date> |
| custom_date19 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date20 | string or null <date> |
| custom_date21 | string or null <date> |
| custom_date22 | string or null <date> |
| custom_date23 | string or null <date> |
| custom_date24 | string or null <date> |
| custom_date25 | string or null <date> |
| custom_date26 | string or null <date> |
| custom_date27 | string or null <date> |
| custom_date28 | string or null <date> |
| custom_date29 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date30 | string or null <date> |
| custom_date31 | string or null <date> |
| custom_date32 | string or null <date> |
| custom_date33 | string or null <date> |
| custom_date34 | string or null <date> |
| custom_date35 | string or null <date> |
| custom_date36 | string or null <date> |
| custom_date37 | string or null <date> |
| custom_date38 | string or null <date> |
| custom_date39 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date40 | string or null <date> |
| custom_date41 | string or null <date> |
| custom_date42 | string or null <date> |
| custom_date43 | string or null <date> |
| custom_date44 | string or null <date> |
| custom_date45 | string or null <date> |
| custom_date46 | string or null <date> |
| custom_date47 | string or null <date> |
| custom_date48 | string or null <date> |
| custom_date49 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date50 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_date7 | string or null <date> |
| custom_date8 | string or null <date> |
| custom_date9 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_last_activity | string or null <date-time> |
| date_last_modified | string or null <date-time> |
| date_of_birth | string or null <date> |
string or null | |
| email2 | string or null |
| email3 | string or null |
| ethnicity | string or null The gender and ethnicity standard fields will be used to facilitate audits and will not be available in the front end of Sense. For more details, please review how Sense complies with the NYC Basis Audit Law: here |
| first_name | string or null |
| gender | string or null The gender and ethnicity standard fields will be used to facilitate audits and will not be available in the front end of Sense. For more details, please review how Sense complies with the NYC Basis Audit Law: here |
| home_phone | string or null |
| id required | string non-empty |
| industries | Array of strings or null |
| internal_user_id | string or null |
| internal_user_id2 | string or null |
| internal_user_id3 | string or null |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| last_name | string or null |
| mobile_phone | string or null |
| nick_name | string or null |
| office | string or null |
| opt_out_email | boolean or null |
| opt_out_sms | boolean or null |
| phone4 | string or null |
| phone5 | string or null |
| preferred_contact_method | string or null |
| skills | Array of strings or null |
| source | string or null |
| specialties | Array of strings or null |
| state | string or null |
| status | string or null |
| title | string or null |
| work_phone | string or null |
| zipcode | string or null |
[- {
- "active": true,
- "address1": "string",
- "address2": "string",
- "categories": [
- "string"
], - "city": "string",
- "country": "string",
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_boolean1": true,
- "custom_boolean10": true,
- "custom_boolean11": true,
- "custom_boolean12": true,
- "custom_boolean13": true,
- "custom_boolean14": true,
- "custom_boolean15": true,
- "custom_boolean2": true,
- "custom_boolean3": true,
- "custom_boolean4": true,
- "custom_boolean5": true,
- "custom_boolean6": true,
- "custom_boolean7": true,
- "custom_boolean8": true,
- "custom_boolean9": true,
- "custom_date1": "2019-08-24",
- "custom_date10": "2019-08-24",
- "custom_date11": "2019-08-24",
- "custom_date12": "2019-08-24",
- "custom_date13": "2019-08-24",
- "custom_date14": "2019-08-24",
- "custom_date15": "2019-08-24",
- "custom_date16": "2019-08-24",
- "custom_date17": "2019-08-24",
- "custom_date18": "2019-08-24",
- "custom_date19": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date20": "2019-08-24",
- "custom_date21": "2019-08-24",
- "custom_date22": "2019-08-24",
- "custom_date23": "2019-08-24",
- "custom_date24": "2019-08-24",
- "custom_date25": "2019-08-24",
- "custom_date26": "2019-08-24",
- "custom_date27": "2019-08-24",
- "custom_date28": "2019-08-24",
- "custom_date29": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date30": "2019-08-24",
- "custom_date31": "2019-08-24",
- "custom_date32": "2019-08-24",
- "custom_date33": "2019-08-24",
- "custom_date34": "2019-08-24",
- "custom_date35": "2019-08-24",
- "custom_date36": "2019-08-24",
- "custom_date37": "2019-08-24",
- "custom_date38": "2019-08-24",
- "custom_date39": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date40": "2019-08-24",
- "custom_date41": "2019-08-24",
- "custom_date42": "2019-08-24",
- "custom_date43": "2019-08-24",
- "custom_date44": "2019-08-24",
- "custom_date45": "2019-08-24",
- "custom_date46": "2019-08-24",
- "custom_date47": "2019-08-24",
- "custom_date48": "2019-08-24",
- "custom_date49": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date50": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_date7": "2019-08-24",
- "custom_date8": "2019-08-24",
- "custom_date9": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_last_activity": "2019-08-24T14:15:22Z",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "date_of_birth": "2019-08-24",
- "email": "string",
- "email2": "string",
- "email3": "string",
- "ethnicity": "string",
- "first_name": "string",
- "gender": "string",
- "home_phone": "string",
- "id": "string",
- "industries": [
- "string"
], - "internal_user_id": "string",
- "internal_user_id2": "string",
- "internal_user_id3": "string",
- "is_archived": true,
- "is_deleted": true,
- "last_name": "string",
- "mobile_phone": "string",
- "nick_name": "string",
- "office": "string",
- "opt_out_email": true,
- "opt_out_sms": true,
- "phone4": "string",
- "phone5": "string",
- "preferred_contact_method": "string",
- "skills": [
- "string"
], - "source": "string",
- "specialties": [
- "string"
], - "state": "string",
- "status": "string",
- "title": "string",
- "work_phone": "string",
- "zipcode": "string"
}
]{- "message": "string",
- "request_id": "string"
}Fetch details of a single Candidate entity by its unique ID.
| id required | integer The unique ID of the Candidate whose details need to be retrieved. |
{- "data": { },
- "errors": [
- {
- "entity_id": "string",
- "message": "string",
- "path": [
- "string"
]
}
], - "resource_id": "string"
}Update single Candidate entity.
| id required | integer The unique id of the Candidatewhose details need to be updated. |
| active | boolean or null |
| address1 | string or null |
| address2 | string or null |
| categories | Array of strings or null |
| city | string or null |
| country | string or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_boolean1 | boolean or null |
| custom_boolean10 | boolean or null |
| custom_boolean11 | boolean or null |
| custom_boolean12 | boolean or null |
| custom_boolean13 | boolean or null |
| custom_boolean14 | boolean or null |
| custom_boolean15 | boolean or null |
| custom_boolean2 | boolean or null |
| custom_boolean3 | boolean or null |
| custom_boolean4 | boolean or null |
| custom_boolean5 | boolean or null |
| custom_boolean6 | boolean or null |
| custom_boolean7 | boolean or null |
| custom_boolean8 | boolean or null |
| custom_boolean9 | boolean or null |
| custom_date1 | string or null <date> |
| custom_date10 | string or null <date> |
| custom_date11 | string or null <date> |
| custom_date12 | string or null <date> |
| custom_date13 | string or null <date> |
| custom_date14 | string or null <date> |
| custom_date15 | string or null <date> |
| custom_date16 | string or null <date> |
| custom_date17 | string or null <date> |
| custom_date18 | string or null <date> |
| custom_date19 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date20 | string or null <date> |
| custom_date21 | string or null <date> |
| custom_date22 | string or null <date> |
| custom_date23 | string or null <date> |
| custom_date24 | string or null <date> |
| custom_date25 | string or null <date> |
| custom_date26 | string or null <date> |
| custom_date27 | string or null <date> |
| custom_date28 | string or null <date> |
| custom_date29 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date30 | string or null <date> |
| custom_date31 | string or null <date> |
| custom_date32 | string or null <date> |
| custom_date33 | string or null <date> |
| custom_date34 | string or null <date> |
| custom_date35 | string or null <date> |
| custom_date36 | string or null <date> |
| custom_date37 | string or null <date> |
| custom_date38 | string or null <date> |
| custom_date39 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date40 | string or null <date> |
| custom_date41 | string or null <date> |
| custom_date42 | string or null <date> |
| custom_date43 | string or null <date> |
| custom_date44 | string or null <date> |
| custom_date45 | string or null <date> |
| custom_date46 | string or null <date> |
| custom_date47 | string or null <date> |
| custom_date48 | string or null <date> |
| custom_date49 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date50 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_date7 | string or null <date> |
| custom_date8 | string or null <date> |
| custom_date9 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_last_activity | string or null <date-time> |
| date_last_modified | string or null <date-time> |
| date_of_birth | string or null <date> |
string or null | |
| email2 | string or null |
| email3 | string or null |
| ethnicity | string or null The gender and ethnicity standard fields will be used to facilitate audits and will not be available in the front end of Sense. For more details, please review how Sense complies with the NYC Basis Audit Law: here |
| first_name | string or null |
| gender | string or null The gender and ethnicity standard fields will be used to facilitate audits and will not be available in the front end of Sense. For more details, please review how Sense complies with the NYC Basis Audit Law: here |
| home_phone | string or null |
| id required | string non-empty |
| industries | Array of strings or null |
| internal_user_id | string or null |
| internal_user_id2 | string or null |
| internal_user_id3 | string or null |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| last_name | string or null |
| mobile_phone | string or null |
| nick_name | string or null |
| office | string or null |
| opt_out_email | boolean or null |
| opt_out_sms | boolean or null |
| phone4 | string or null |
| phone5 | string or null |
| preferred_contact_method | string or null |
| skills | Array of strings or null |
| source | string or null |
| specialties | Array of strings or null |
| state | string or null |
| status | string or null |
| title | string or null |
| work_phone | string or null |
| zipcode | string or null |
{- "active": true,
- "address1": "string",
- "address2": "string",
- "categories": [
- "string"
], - "city": "string",
- "country": "string",
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_boolean1": true,
- "custom_boolean10": true,
- "custom_boolean11": true,
- "custom_boolean12": true,
- "custom_boolean13": true,
- "custom_boolean14": true,
- "custom_boolean15": true,
- "custom_boolean2": true,
- "custom_boolean3": true,
- "custom_boolean4": true,
- "custom_boolean5": true,
- "custom_boolean6": true,
- "custom_boolean7": true,
- "custom_boolean8": true,
- "custom_boolean9": true,
- "custom_date1": "2019-08-24",
- "custom_date10": "2019-08-24",
- "custom_date11": "2019-08-24",
- "custom_date12": "2019-08-24",
- "custom_date13": "2019-08-24",
- "custom_date14": "2019-08-24",
- "custom_date15": "2019-08-24",
- "custom_date16": "2019-08-24",
- "custom_date17": "2019-08-24",
- "custom_date18": "2019-08-24",
- "custom_date19": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date20": "2019-08-24",
- "custom_date21": "2019-08-24",
- "custom_date22": "2019-08-24",
- "custom_date23": "2019-08-24",
- "custom_date24": "2019-08-24",
- "custom_date25": "2019-08-24",
- "custom_date26": "2019-08-24",
- "custom_date27": "2019-08-24",
- "custom_date28": "2019-08-24",
- "custom_date29": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date30": "2019-08-24",
- "custom_date31": "2019-08-24",
- "custom_date32": "2019-08-24",
- "custom_date33": "2019-08-24",
- "custom_date34": "2019-08-24",
- "custom_date35": "2019-08-24",
- "custom_date36": "2019-08-24",
- "custom_date37": "2019-08-24",
- "custom_date38": "2019-08-24",
- "custom_date39": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date40": "2019-08-24",
- "custom_date41": "2019-08-24",
- "custom_date42": "2019-08-24",
- "custom_date43": "2019-08-24",
- "custom_date44": "2019-08-24",
- "custom_date45": "2019-08-24",
- "custom_date46": "2019-08-24",
- "custom_date47": "2019-08-24",
- "custom_date48": "2019-08-24",
- "custom_date49": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date50": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_date7": "2019-08-24",
- "custom_date8": "2019-08-24",
- "custom_date9": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_last_activity": "2019-08-24T14:15:22Z",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "date_of_birth": "2019-08-24",
- "email": "string",
- "email2": "string",
- "email3": "string",
- "ethnicity": "string",
- "first_name": "string",
- "gender": "string",
- "home_phone": "string",
- "id": "string",
- "industries": [
- "string"
], - "internal_user_id": "string",
- "internal_user_id2": "string",
- "internal_user_id3": "string",
- "is_archived": true,
- "is_deleted": true,
- "last_name": "string",
- "mobile_phone": "string",
- "nick_name": "string",
- "office": "string",
- "opt_out_email": true,
- "opt_out_sms": true,
- "phone4": "string",
- "phone5": "string",
- "preferred_contact_method": "string",
- "skills": [
- "string"
], - "source": "string",
- "specialties": [
- "string"
], - "state": "string",
- "status": "string",
- "title": "string",
- "work_phone": "string",
- "zipcode": "string"
}{- "message": "string",
- "request_id": "string"
}Fetch the list of possible values configured for a field on the Candidate entity. These values define dropdown options used in various Sense workflows.
| fieldName required | string The field name for which possible values should be retrieved. |
{- "data": {
- "field_name": "string",
- "object_name": "string",
- "values": [
- {
- "associationValue": "string",
- "label": "string",
- "value": "string"
}
]
}, - "resource_id": "string"
}A self-serve endpoint to synchronize dropdown options with your ATS configuration, ensuring data integrity during field writebacks.
| fieldName required | string The field name whose possible values should be updated. |
| label required | string |
required | string or number or boolean |
[- {
- "label": "Hourly",
- "value": "hourly"
}, - {
- "label": "Daily",
- "value": "daily"
}
]{- "data": {
- "field_name": "string",
- "object_name": "string",
- "possibleValues": [
- {
- "label": "string",
- "value": "string"
}
], - "updated": true
}, - "resource_id": "string"
}Upload a resume file for a specific candidate. The file must be sent as multipart/form-data. Supported formats include pdf, doc, docx, txt, rtf, odt, html, htm.
Maximum supported file upload size is 4MB.
| id required | string The unique ID of the candidate. |
| date_created required | string <date-time> Date when the resume was created in the ATS. |
| date_updated required | string <date-time> Date when the resume was last updated in the ATS. |
| file required | string <binary> The resume file to upload. (Maximum file size: 4 MB) |
| file_extension required | string The format of the file (Supported values : pdf, doc, docx, txt, rtf, odt, html, htm) |
| file_name | string or null The resume file name. |
| resume_id required | string The unique identifier for this resume file. |
{ "date_created": "2026-01-20T08:00:00Z", "date_updated": "2026-03-15T10:30:00Z", "file": "<binary file content>", "file_extension": "pdf", "file_name": "john_doe_resume.pdf", "resume_id": "RES-78901" }
{- "message": "request 86887e46-5b72-450a-b6c4-2017a9faa566 is received",
- "request_id": "86887e46-5b72-450a-b6c4-2017a9faa566"
}Batch upsert Certification entities.
| board_certification | string or null |
| candidate_id | string or null |
| comments | string or null |
| compact | boolean or null |
| copy_on_file | boolean or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_date1 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_certified | string or null <date> |
| date_expiration | string or null <date> |
| date_last_modified | string or null <date-time> |
| id required | string non-empty |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| issued_by | string or null |
| job_order_id | string or null |
| license_number | string or null |
| license_type | string or null |
| location | string or null |
| name | string or null |
| placement_id | string or null |
| results | string or null |
| status | string or null |
[- {
- "board_certification": "string",
- "candidate_id": "string",
- "comments": "string",
- "compact": true,
- "copy_on_file": true,
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_date1": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_certified": "2019-08-24",
- "date_expiration": "2019-08-24",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "id": "string",
- "is_archived": true,
- "is_deleted": true,
- "issued_by": "string",
- "job_order_id": "string",
- "license_number": "string",
- "license_type": "string",
- "location": "string",
- "name": "string",
- "placement_id": "string",
- "results": "string",
- "status": "string"
}
]{- "message": "string",
- "request_id": "string"
}Fetch details of a single Certification entity by its unique ID.
| id required | integer The unique ID of the Certification whose details need to be retrieved. |
{- "data": { },
- "errors": [
- {
- "entity_id": "string",
- "message": "string",
- "path": [
- "string"
]
}
], - "resource_id": "string"
}Update single Certification entity.
| id required | integer The unique id of the Certificationwhose details need to be updated. |
| board_certification | string or null |
| candidate_id | string or null |
| comments | string or null |
| compact | boolean or null |
| copy_on_file | boolean or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_date1 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_certified | string or null <date> |
| date_expiration | string or null <date> |
| date_last_modified | string or null <date-time> |
| id required | string non-empty |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| issued_by | string or null |
| job_order_id | string or null |
| license_number | string or null |
| license_type | string or null |
| location | string or null |
| name | string or null |
| placement_id | string or null |
| results | string or null |
| status | string or null |
{- "board_certification": "string",
- "candidate_id": "string",
- "comments": "string",
- "compact": true,
- "copy_on_file": true,
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_date1": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_certified": "2019-08-24",
- "date_expiration": "2019-08-24",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "id": "string",
- "is_archived": true,
- "is_deleted": true,
- "issued_by": "string",
- "job_order_id": "string",
- "license_number": "string",
- "license_type": "string",
- "location": "string",
- "name": "string",
- "placement_id": "string",
- "results": "string",
- "status": "string"
}{- "message": "string",
- "request_id": "string"
}Fetch the list of possible values configured for a field on the Certification entity. These values define dropdown options used in various Sense workflows.
| fieldName required | string The field name for which possible values should be retrieved. |
{- "data": {
- "field_name": "string",
- "object_name": "string",
- "values": [
- {
- "associationValue": "string",
- "label": "string",
- "value": "string"
}
]
}, - "resource_id": "string"
}A self-serve endpoint to synchronize dropdown options with your ATS configuration, ensuring data integrity during field writebacks.
| fieldName required | string The field name whose possible values should be updated. |
| label required | string |
required | string or number or boolean |
[- {
- "label": "Hourly",
- "value": "hourly"
}, - {
- "label": "Daily",
- "value": "daily"
}
]{- "data": {
- "field_name": "string",
- "object_name": "string",
- "possibleValues": [
- {
- "label": "string",
- "value": "string"
}
], - "updated": true
}, - "resource_id": "string"
}Batch upsert ClientContact entities.
| active | boolean or null |
| address1 | string or null |
| address2 | string or null |
| city | string or null |
| company_id | string or null |
| country | string or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_date1 | string or null <date> |
| custom_date10 | string or null <date> |
| custom_date11 | string or null <date> |
| custom_date12 | string or null <date> |
| custom_date13 | string or null <date> |
| custom_date14 | string or null <date> |
| custom_date15 | string or null <date> |
| custom_date16 | string or null <date> |
| custom_date17 | string or null <date> |
| custom_date18 | string or null <date> |
| custom_date19 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date20 | string or null <date> |
| custom_date21 | string or null <date> |
| custom_date22 | string or null <date> |
| custom_date23 | string or null <date> |
| custom_date24 | string or null <date> |
| custom_date25 | string or null <date> |
| custom_date26 | string or null <date> |
| custom_date27 | string or null <date> |
| custom_date28 | string or null <date> |
| custom_date29 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date30 | string or null <date> |
| custom_date31 | string or null <date> |
| custom_date32 | string or null <date> |
| custom_date33 | string or null <date> |
| custom_date34 | string or null <date> |
| custom_date35 | string or null <date> |
| custom_date36 | string or null <date> |
| custom_date37 | string or null <date> |
| custom_date38 | string or null <date> |
| custom_date39 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date40 | string or null <date> |
| custom_date41 | string or null <date> |
| custom_date42 | string or null <date> |
| custom_date43 | string or null <date> |
| custom_date44 | string or null <date> |
| custom_date45 | string or null <date> |
| custom_date46 | string or null <date> |
| custom_date47 | string or null <date> |
| custom_date48 | string or null <date> |
| custom_date49 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date50 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_date7 | string or null <date> |
| custom_date8 | string or null <date> |
| custom_date9 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_last_activity | string or null <date-time> |
| date_last_modified | string or null <date-time> |
| date_of_birth | string or null <date> |
string or null | |
| email2 | string or null |
| email3 | string or null |
| first_name | string or null |
| home_phone | string or null |
| id required | string non-empty |
| internal_user_id | string or null |
| internal_user_id2 | string or null |
| internal_user_id3 | string or null |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| last_name | string or null |
| mobile_phone | string or null |
| nick_name | string or null |
| opt_out_email | boolean or null |
| opt_out_sms | boolean or null |
| phone4 | string or null |
| phone5 | string or null |
| preferred_contact_method | string or null |
| source | string or null |
| state | string or null |
| status | string or null |
| title | string or null |
| work_phone | string or null |
| zipcode | string or null |
[- {
- "active": true,
- "address1": "string",
- "address2": "string",
- "city": "string",
- "company_id": "string",
- "country": "string",
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_date1": "2019-08-24",
- "custom_date10": "2019-08-24",
- "custom_date11": "2019-08-24",
- "custom_date12": "2019-08-24",
- "custom_date13": "2019-08-24",
- "custom_date14": "2019-08-24",
- "custom_date15": "2019-08-24",
- "custom_date16": "2019-08-24",
- "custom_date17": "2019-08-24",
- "custom_date18": "2019-08-24",
- "custom_date19": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date20": "2019-08-24",
- "custom_date21": "2019-08-24",
- "custom_date22": "2019-08-24",
- "custom_date23": "2019-08-24",
- "custom_date24": "2019-08-24",
- "custom_date25": "2019-08-24",
- "custom_date26": "2019-08-24",
- "custom_date27": "2019-08-24",
- "custom_date28": "2019-08-24",
- "custom_date29": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date30": "2019-08-24",
- "custom_date31": "2019-08-24",
- "custom_date32": "2019-08-24",
- "custom_date33": "2019-08-24",
- "custom_date34": "2019-08-24",
- "custom_date35": "2019-08-24",
- "custom_date36": "2019-08-24",
- "custom_date37": "2019-08-24",
- "custom_date38": "2019-08-24",
- "custom_date39": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date40": "2019-08-24",
- "custom_date41": "2019-08-24",
- "custom_date42": "2019-08-24",
- "custom_date43": "2019-08-24",
- "custom_date44": "2019-08-24",
- "custom_date45": "2019-08-24",
- "custom_date46": "2019-08-24",
- "custom_date47": "2019-08-24",
- "custom_date48": "2019-08-24",
- "custom_date49": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date50": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_date7": "2019-08-24",
- "custom_date8": "2019-08-24",
- "custom_date9": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_last_activity": "2019-08-24T14:15:22Z",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "date_of_birth": "2019-08-24",
- "email": "string",
- "email2": "string",
- "email3": "string",
- "first_name": "string",
- "home_phone": "string",
- "id": "string",
- "internal_user_id": "string",
- "internal_user_id2": "string",
- "internal_user_id3": "string",
- "is_archived": true,
- "is_deleted": true,
- "last_name": "string",
- "mobile_phone": "string",
- "nick_name": "string",
- "opt_out_email": true,
- "opt_out_sms": true,
- "phone4": "string",
- "phone5": "string",
- "preferred_contact_method": "string",
- "source": "string",
- "state": "string",
- "status": "string",
- "title": "string",
- "work_phone": "string",
- "zipcode": "string"
}
]{- "message": "string",
- "request_id": "string"
}Fetch details of a single ClientContact entity by its unique ID.
| id required | integer The unique ID of the ClientContact whose details need to be retrieved. |
{- "data": { },
- "errors": [
- {
- "entity_id": "string",
- "message": "string",
- "path": [
- "string"
]
}
], - "resource_id": "string"
}Update single ClientContact entity.
| id required | integer The unique id of the ClientContactwhose details need to be updated. |
| active | boolean or null |
| address1 | string or null |
| address2 | string or null |
| city | string or null |
| company_id | string or null |
| country | string or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_date1 | string or null <date> |
| custom_date10 | string or null <date> |
| custom_date11 | string or null <date> |
| custom_date12 | string or null <date> |
| custom_date13 | string or null <date> |
| custom_date14 | string or null <date> |
| custom_date15 | string or null <date> |
| custom_date16 | string or null <date> |
| custom_date17 | string or null <date> |
| custom_date18 | string or null <date> |
| custom_date19 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date20 | string or null <date> |
| custom_date21 | string or null <date> |
| custom_date22 | string or null <date> |
| custom_date23 | string or null <date> |
| custom_date24 | string or null <date> |
| custom_date25 | string or null <date> |
| custom_date26 | string or null <date> |
| custom_date27 | string or null <date> |
| custom_date28 | string or null <date> |
| custom_date29 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date30 | string or null <date> |
| custom_date31 | string or null <date> |
| custom_date32 | string or null <date> |
| custom_date33 | string or null <date> |
| custom_date34 | string or null <date> |
| custom_date35 | string or null <date> |
| custom_date36 | string or null <date> |
| custom_date37 | string or null <date> |
| custom_date38 | string or null <date> |
| custom_date39 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date40 | string or null <date> |
| custom_date41 | string or null <date> |
| custom_date42 | string or null <date> |
| custom_date43 | string or null <date> |
| custom_date44 | string or null <date> |
| custom_date45 | string or null <date> |
| custom_date46 | string or null <date> |
| custom_date47 | string or null <date> |
| custom_date48 | string or null <date> |
| custom_date49 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date50 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_date7 | string or null <date> |
| custom_date8 | string or null <date> |
| custom_date9 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_last_activity | string or null <date-time> |
| date_last_modified | string or null <date-time> |
| date_of_birth | string or null <date> |
string or null | |
| email2 | string or null |
| email3 | string or null |
| first_name | string or null |
| home_phone | string or null |
| id required | string non-empty |
| internal_user_id | string or null |
| internal_user_id2 | string or null |
| internal_user_id3 | string or null |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| last_name | string or null |
| mobile_phone | string or null |
| nick_name | string or null |
| opt_out_email | boolean or null |
| opt_out_sms | boolean or null |
| phone4 | string or null |
| phone5 | string or null |
| preferred_contact_method | string or null |
| source | string or null |
| state | string or null |
| status | string or null |
| title | string or null |
| work_phone | string or null |
| zipcode | string or null |
{- "active": true,
- "address1": "string",
- "address2": "string",
- "city": "string",
- "company_id": "string",
- "country": "string",
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_date1": "2019-08-24",
- "custom_date10": "2019-08-24",
- "custom_date11": "2019-08-24",
- "custom_date12": "2019-08-24",
- "custom_date13": "2019-08-24",
- "custom_date14": "2019-08-24",
- "custom_date15": "2019-08-24",
- "custom_date16": "2019-08-24",
- "custom_date17": "2019-08-24",
- "custom_date18": "2019-08-24",
- "custom_date19": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date20": "2019-08-24",
- "custom_date21": "2019-08-24",
- "custom_date22": "2019-08-24",
- "custom_date23": "2019-08-24",
- "custom_date24": "2019-08-24",
- "custom_date25": "2019-08-24",
- "custom_date26": "2019-08-24",
- "custom_date27": "2019-08-24",
- "custom_date28": "2019-08-24",
- "custom_date29": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date30": "2019-08-24",
- "custom_date31": "2019-08-24",
- "custom_date32": "2019-08-24",
- "custom_date33": "2019-08-24",
- "custom_date34": "2019-08-24",
- "custom_date35": "2019-08-24",
- "custom_date36": "2019-08-24",
- "custom_date37": "2019-08-24",
- "custom_date38": "2019-08-24",
- "custom_date39": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date40": "2019-08-24",
- "custom_date41": "2019-08-24",
- "custom_date42": "2019-08-24",
- "custom_date43": "2019-08-24",
- "custom_date44": "2019-08-24",
- "custom_date45": "2019-08-24",
- "custom_date46": "2019-08-24",
- "custom_date47": "2019-08-24",
- "custom_date48": "2019-08-24",
- "custom_date49": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date50": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_date7": "2019-08-24",
- "custom_date8": "2019-08-24",
- "custom_date9": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_last_activity": "2019-08-24T14:15:22Z",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "date_of_birth": "2019-08-24",
- "email": "string",
- "email2": "string",
- "email3": "string",
- "first_name": "string",
- "home_phone": "string",
- "id": "string",
- "internal_user_id": "string",
- "internal_user_id2": "string",
- "internal_user_id3": "string",
- "is_archived": true,
- "is_deleted": true,
- "last_name": "string",
- "mobile_phone": "string",
- "nick_name": "string",
- "opt_out_email": true,
- "opt_out_sms": true,
- "phone4": "string",
- "phone5": "string",
- "preferred_contact_method": "string",
- "source": "string",
- "state": "string",
- "status": "string",
- "title": "string",
- "work_phone": "string",
- "zipcode": "string"
}{- "message": "string",
- "request_id": "string"
}Fetch the list of possible values configured for a field on the ClientContact entity. These values define dropdown options used in various Sense workflows.
| fieldName required | string The field name for which possible values should be retrieved. |
{- "data": {
- "field_name": "string",
- "object_name": "string",
- "values": [
- {
- "associationValue": "string",
- "label": "string",
- "value": "string"
}
]
}, - "resource_id": "string"
}A self-serve endpoint to synchronize dropdown options with your ATS configuration, ensuring data integrity during field writebacks.
| fieldName required | string The field name whose possible values should be updated. |
| label required | string |
required | string or number or boolean |
[- {
- "label": "Hourly",
- "value": "hourly"
}, - {
- "label": "Daily",
- "value": "daily"
}
]{- "data": {
- "field_name": "string",
- "object_name": "string",
- "possibleValues": [
- {
- "label": "string",
- "value": "string"
}
], - "updated": true
}, - "resource_id": "string"
}Batch upsert Company entities.
| address1 | string or null |
| address2 | string or null |
| billing_phone | string or null |
| city | string or null |
| client_contact_id | string or null |
| company_name | string or null |
| country | string or null |
| custom_array1 | Array of strings or null |
| custom_array2 | Array of strings or null |
| custom_array3 | Array of strings or null |
| custom_array4 | Array of strings or null |
| custom_array5 | Array of strings or null |
| custom_date1 | string or null <date> |
| custom_date2 | string or null <date> |
| custom_date3 | string or null <date> |
| custom_date4 | string or null <date> |
| custom_date5 | string or null <date> |
| custom_date6 | string or null <date> |
| custom_datetime1 | string or null <date-time> |
| custom_datetime2 | string or null <date-time> |
| custom_datetime3 | string or null <date-time> |
| custom_datetime4 | string or null <date-time> |
| custom_datetime5 | string or null <date-time> |
| custom_datetime6 | string or null <date-time> |
| custom_float1 | number or null |
| custom_float2 | number or null |
| custom_float3 | number or null |
| custom_float4 | number or null |
| custom_float5 | number or null |
| custom_float6 | number or null |
| custom_integer1 | integer or null |
| custom_integer2 | integer or null |
| custom_integer3 | integer or null |
| custom_integer4 | integer or null |
| custom_integer5 | integer or null |
| custom_integer6 | integer or null |
| custom_text1 | string or null |
| custom_text10 | string or null |
| custom_text11 | string or null |
| custom_text12 | string or null |
| custom_text13 | string or null |
| custom_text14 | string or null |
| custom_text15 | string or null |
| custom_text16 | string or null |
| custom_text17 | string or null |
| custom_text18 | string or null |
| custom_text19 | string or null |
| custom_text2 | string or null |
| custom_text20 | string or null |
| custom_text21 | string or null |
| custom_text22 | string or null |
| custom_text23 | string or null |
| custom_text24 | string or null |
| custom_text25 | string or null |
| custom_text26 | string or null |
| custom_text27 | string or null |
| custom_text28 | string or null |
| custom_text29 | string or null |
| custom_text3 | string or null |
| custom_text30 | string or null |
| custom_text31 | string or null |
| custom_text32 | string or null |
| custom_text33 | string or null |
| custom_text34 | string or null |
| custom_text35 | string or null |
| custom_text36 | string or null |
| custom_text37 | string or null |
| custom_text38 | string or null |
| custom_text39 | string or null |
| custom_text4 | string or null |
| custom_text40 | string or null |
| custom_text41 | string or null |
| custom_text42 | string or null |
| custom_text43 | string or null |
| custom_text44 | string or null |
| custom_text45 | string or null |
| custom_text46 | string or null |
| custom_text47 | string or null |
| custom_text48 | string or null |
| custom_text49 | string or null |
| custom_text5 | string or null |
| custom_text50 | string or null |
| custom_text6 | string or null |
| custom_text7 | string or null |
| custom_text8 | string or null |
| custom_text9 | string or null |
| custom_text_block1 | string or null |
| custom_text_block2 | string or null |
| custom_text_block3 | string or null |
| custom_text_block4 | string or null |
| custom_text_block5 | string or null |
| custom_text_block6 | string or null |
| date_added | string or null <date-time> |
| date_last_modified | string or null <date-time> |
| department | string or null |
| id required | string non-empty |
| internal_user_id | string or null |
| internal_user_id2 | string or null |
| internal_user_id3 | string or null |
| is_archived | boolean or null |
| is_deleted | boolean or null A soft DELETE Operation is supported if the field |
| phone | string or null |
| state | string or null |
| status | string or null |
| url | string or null |
| zipcode | string or null |
[- {
- "address1": "string",
- "address2": "string",
- "billing_phone": "string",
- "city": "string",
- "client_contact_id": "string",
- "company_name": "string",
- "country": "string",
- "custom_array1": [
- "string"
], - "custom_array2": [
- "string"
], - "custom_array3": [
- "string"
], - "custom_array4": [
- "string"
], - "custom_array5": [
- "string"
], - "custom_date1": "2019-08-24",
- "custom_date2": "2019-08-24",
- "custom_date3": "2019-08-24",
- "custom_date4": "2019-08-24",
- "custom_date5": "2019-08-24",
- "custom_date6": "2019-08-24",
- "custom_datetime1": "2019-08-24T14:15:22Z",
- "custom_datetime2": "2019-08-24T14:15:22Z",
- "custom_datetime3": "2019-08-24T14:15:22Z",
- "custom_datetime4": "2019-08-24T14:15:22Z",
- "custom_datetime5": "2019-08-24T14:15:22Z",
- "custom_datetime6": "2019-08-24T14:15:22Z",
- "custom_float1": 0,
- "custom_float2": 0,
- "custom_float3": 0,
- "custom_float4": 0,
- "custom_float5": 0,
- "custom_float6": 0,
- "custom_integer1": 0,
- "custom_integer2": 0,
- "custom_integer3": 0,
- "custom_integer4": 0,
- "custom_integer5": 0,
- "custom_integer6": 0,
- "custom_text1": "string",
- "custom_text10": "string",
- "custom_text11": "string",
- "custom_text12": "string",
- "custom_text13": "string",
- "custom_text14": "string",
- "custom_text15": "string",
- "custom_text16": "string",
- "custom_text17": "string",
- "custom_text18": "string",
- "custom_text19": "string",
- "custom_text2": "string",
- "custom_text20": "string",
- "custom_text21": "string",
- "custom_text22": "string",
- "custom_text23": "string",
- "custom_text24": "string",
- "custom_text25": "string",
- "custom_text26": "string",
- "custom_text27": "string",
- "custom_text28": "string",
- "custom_text29": "string",
- "custom_text3": "string",
- "custom_text30": "string",
- "custom_text31": "string",
- "custom_text32": "string",
- "custom_text33": "string",
- "custom_text34": "string",
- "custom_text35": "string",
- "custom_text36": "string",
- "custom_text37": "string",
- "custom_text38": "string",
- "custom_text39": "string",
- "custom_text4": "string",
- "custom_text40": "string",
- "custom_text41": "string",
- "custom_text42": "string",
- "custom_text43": "string",
- "custom_text44": "string",
- "custom_text45": "string",
- "custom_text46": "string",
- "custom_text47": "string",
- "custom_text48": "string",
- "custom_text49": "string",
- "custom_text5": "string",
- "custom_text50": "string",
- "custom_text6": "string",
- "custom_text7": "string",
- "custom_text8": "string",
- "custom_text9": "string",
- "custom_text_block1": "string",
- "custom_text_block2": "string",
- "custom_text_block3": "string",
- "custom_text_block4": "string",
- "custom_text_block5": "string",
- "custom_text_block6": "string",
- "date_added": "2019-08-24T14:15:22Z",
- "date_last_modified": "2019-08-24T14:15:22Z",
- "department": "string",
- "id": "string",
- "internal_user_id": "string",
- "internal_user_id2": "string",
- "internal_user_id3": "string",
- "is_archived": true,
- "is_deleted": true,
- "phone": "string",
- "state": "string",
- "status": "string",
- "url": "string",
- "zipcode": "string"
}
]{- "message": "string",
- "request_id": "string"
}Fetch details of a single Company entity by its unique ID.
| id required | integer The unique ID of the Company whose details need to be retrieved. |
{- "data": { },
- "errors": [
- {
- "entity_id": "string",
- "message": "string",
- "path": [
- "string"
]
}
], - "resource_id": "string"
}Update single Company entity.
| id required | integer The unique id of the Companywhose details need to be updated. |
| address1 | string or null |
| address2 | string or null |
| billing_phone | string or null |
| city | string or null |
| client_contact_id | string or null |
| company_name | string or null |
| country | string or null |
[...]
